package com.steerinfo.baseinfo.meterbasevideoinfo.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

public class MeterBaseVideoinfo implements IBasePO<String> {
    /**
     * 计量点id(POINTID,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点id",required=true)
    private String pointid;

    /**
     * 硬盘录像机IP(VIDEOIP,VARCHAR,20)
     */
    @ApiModelProperty(value="硬盘录像机IP",required=true)
    private String videoip;

    /**
     * 安装位置1(POSITION1,VARCHAR,20)
     */
    @ApiModelProperty(value="安装位置1",required=false)
    private String position1;

    /**
     * 计量点类型(POINTTYPE,VARCHAR,10)
     */
    @ApiModelProperty(value="计量点类型",required=false)
    private String pointtype;

    /**
     * 备注信息(REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="备注信息",required=false)
    private String remark;

    /**
     * 计量点(POINTNAME,VARCHAR,50)
     */
    @ApiModelProperty(value="计量点",required=false)
    private String pointname;

    /**
     * 安装位置2(POSITION2,VARCHAR,20)
     */
    @ApiModelProperty(value="安装位置2",required=false)
    private String position2;

    /**
     * 安装位置3(POSITION3,VARCHAR,20)
     */
    @ApiModelProperty(value="安装位置3",required=false)
    private String position3;

    /**
     * 安装位置4(POSITION4,VARCHAR,20)
     */
    @ApiModelProperty(value="安装位置4",required=false)
    private String position4;

    /**
     * 安装位置5(POSITION5,VARCHAR,20)
     */
    @ApiModelProperty(value="安装位置5",required=false)
    private String position5;

    /**
     * 安装位置6(POSITION6,VARCHAR,20)
     */
    @ApiModelProperty(value="安装位置6",required=false)
    private String position6;

    /**
     * 安装位置7(POSITION7,VARCHAR,20)
     */
    @ApiModelProperty(value="安装位置7",required=false)
    private String position7;

    /**
     * 安装位置8(POSITION8,VARCHAR,20)
     */
    @ApiModelProperty(value="安装位置8",required=false)
    private String position8;

    /**
     * 硬盘录像机端口(VDO_PORT,VARCHAR,10)
     */
    @ApiModelProperty(value="硬盘录像机端口",required=false)
    private String vdoPort;

    /**
     * 硬盘录像机用户(VDO_USER,VARCHAR,10)
     */
    @ApiModelProperty(value="硬盘录像机用户",required=false)
    private String vdoUser;

    /**
     * 硬盘录像机密码(VDO_PWD,VARCHAR,10)
     */
    @ApiModelProperty(value="硬盘录像机密码",required=false)
    private String vdoPwd;

    /**
     * 硬盘录像机类型：0=海康、1=大华(VDO_TYPE,VARCHAR,10)
     */
    @ApiModelProperty(value="硬盘录像机类型：0=海康、1=大华",required=false)
    private String vdoType;

    /**
     * 主流媒体服务器IP(SVR1_VDO_IP,VARCHAR,20)
     */
    @ApiModelProperty(value="主流媒体服务器IP",required=false)
    private String svr1VdoIp;

    /**
     * 备流媒体服务器IP(SVR2_VDO_IP,VARCHAR,20)
     */
    @ApiModelProperty(value="备流媒体服务器IP",required=false)
    private String svr2VdoIp;

    /**
     * 语音文件名(VOICENAME,VARCHAR,40)
     */
    @ApiModelProperty(value="语音文件名",required=false)
    private String voicename;

    /**
     * 硬盘录像机型号（SDK318或SDK330）(VIDEOTYPE,VARCHAR,20)
     */
    @ApiModelProperty(value="硬盘录像机型号（SDK318或SDK330）",required=false)
    private String videotype;

    /**
     * 1号图像码率 0主码 3辅码1 4辅码2(P1_RATE,VARCHAR,2)
     */
    @ApiModelProperty(value="1号图像码率 0主码 3辅码1 4辅码2",required=false)
    private String p1Rate;

    /**
     * 2号图像码率 0主码 3辅码1 4辅码2(P2_RATE,VARCHAR,2)
     */
    @ApiModelProperty(value="2号图像码率 0主码 3辅码1 4辅码2",required=false)
    private String p2Rate;

    /**
     * 3号图像码率 0主码 3辅码1 4辅码2(P3_RATE,VARCHAR,2)
     */
    @ApiModelProperty(value="3号图像码率 0主码 3辅码1 4辅码2",required=false)
    private String p3Rate;

    /**
     * 4号图像码率 0主码 3辅码1 4辅码2(P4_RATE,VARCHAR,2)
     */
    @ApiModelProperty(value="4号图像码率 0主码 3辅码1 4辅码2",required=false)
    private String p4Rate;

    /**
     * 5号图像码率 0主码 3辅码1 4辅码2(P5_RATE,VARCHAR,2)
     */
    @ApiModelProperty(value="5号图像码率 0主码 3辅码1 4辅码2",required=false)
    private String p5Rate;

    /**
     * 6号图像码率 0主码 3辅码1 4辅码2(P6_RATE,VARCHAR,2)
     */
    @ApiModelProperty(value="6号图像码率 0主码 3辅码1 4辅码2",required=false)
    private String p6Rate;

    /**
     * 7号图像码率 0主码 3辅码1 4辅码2(P7_RATE,VARCHAR,2)
     */
    @ApiModelProperty(value="7号图像码率 0主码 3辅码1 4辅码2",required=false)
    private String p7Rate;

    /**
     * 8号图像码率 0主码 3辅码1 4辅码2(P8_RATE,VARCHAR,2)
     */
    @ApiModelProperty(value="8号图像码率 0主码 3辅码1 4辅码2",required=false)
    private String p8Rate;

    /**
     * 视频截图数量(跟计量员操作日志表查询有关联)(IMAGECOUNT,VARCHAR,1)
     */
    @ApiModelProperty(value="视频截图数量(跟计量员操作日志表查询有关联)",required=false)
    private String imagecount;

    /**
     * 0视频流摄像头截图，1视频流硬盘录像机截图，2非视频流硬盘录像机截图,3非视频流摄像头截图(CAPTUREIMAGEFLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="0视频流摄像头截图，1视频流硬盘录像机截图，2非视频流硬盘录像机截图,3非视频流摄像头截图",required=false)
    private String captureimageflag;

    /**
     * 是否有两个摄像头（0 否 1是）(IS_SECOND,VARCHAR,1)
     */
    @ApiModelProperty(value="是否有两个摄像头（0 否 1是）",required=false)
    private String isSecond;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.pointid;
    }

    @Override
    public void setId(String pointid) {
        this.pointid = pointid == null ? null : pointid.trim();
    }

    public String getPointid() {
        return pointid;
    }

    public void setPointid(String pointid) {
        this.pointid = pointid == null ? null : pointid.trim();
    }

    public String getVideoip() {
        return videoip;
    }

    public void setVideoip(String videoip) {
        this.videoip = videoip == null ? null : videoip.trim();
    }

    public String getPosition1() {
        return position1;
    }

    public void setPosition1(String position1) {
        this.position1 = position1 == null ? null : position1.trim();
    }

    public String getPointtype() {
        return pointtype;
    }

    public void setPointtype(String pointtype) {
        this.pointtype = pointtype == null ? null : pointtype.trim();
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public String getPointname() {
        return pointname;
    }

    public void setPointname(String pointname) {
        this.pointname = pointname == null ? null : pointname.trim();
    }

    public String getPosition2() {
        return position2;
    }

    public void setPosition2(String position2) {
        this.position2 = position2 == null ? null : position2.trim();
    }

    public String getPosition3() {
        return position3;
    }

    public void setPosition3(String position3) {
        this.position3 = position3 == null ? null : position3.trim();
    }

    public String getPosition4() {
        return position4;
    }

    public void setPosition4(String position4) {
        this.position4 = position4 == null ? null : position4.trim();
    }

    public String getPosition5() {
        return position5;
    }

    public void setPosition5(String position5) {
        this.position5 = position5 == null ? null : position5.trim();
    }

    public String getPosition6() {
        return position6;
    }

    public void setPosition6(String position6) {
        this.position6 = position6 == null ? null : position6.trim();
    }

    public String getPosition7() {
        return position7;
    }

    public void setPosition7(String position7) {
        this.position7 = position7 == null ? null : position7.trim();
    }

    public String getPosition8() {
        return position8;
    }

    public void setPosition8(String position8) {
        this.position8 = position8 == null ? null : position8.trim();
    }

    public String getVdoPort() {
        return vdoPort;
    }

    public void setVdoPort(String vdoPort) {
        this.vdoPort = vdoPort == null ? null : vdoPort.trim();
    }

    public String getVdoUser() {
        return vdoUser;
    }

    public void setVdoUser(String vdoUser) {
        this.vdoUser = vdoUser == null ? null : vdoUser.trim();
    }

    public String getVdoPwd() {
        return vdoPwd;
    }

    public void setVdoPwd(String vdoPwd) {
        this.vdoPwd = vdoPwd == null ? null : vdoPwd.trim();
    }

    public String getVdoType() {
        return vdoType;
    }

    public void setVdoType(String vdoType) {
        this.vdoType = vdoType == null ? null : vdoType.trim();
    }

    public String getSvr1VdoIp() {
        return svr1VdoIp;
    }

    public void setSvr1VdoIp(String svr1VdoIp) {
        this.svr1VdoIp = svr1VdoIp == null ? null : svr1VdoIp.trim();
    }

    public String getSvr2VdoIp() {
        return svr2VdoIp;
    }

    public void setSvr2VdoIp(String svr2VdoIp) {
        this.svr2VdoIp = svr2VdoIp == null ? null : svr2VdoIp.trim();
    }

    public String getVoicename() {
        return voicename;
    }

    public void setVoicename(String voicename) {
        this.voicename = voicename == null ? null : voicename.trim();
    }

    public String getVideotype() {
        return videotype;
    }

    public void setVideotype(String videotype) {
        this.videotype = videotype == null ? null : videotype.trim();
    }

    public String getP1Rate() {
        return p1Rate;
    }

    public void setP1Rate(String p1Rate) {
        this.p1Rate = p1Rate == null ? null : p1Rate.trim();
    }

    public String getP2Rate() {
        return p2Rate;
    }

    public void setP2Rate(String p2Rate) {
        this.p2Rate = p2Rate == null ? null : p2Rate.trim();
    }

    public String getP3Rate() {
        return p3Rate;
    }

    public void setP3Rate(String p3Rate) {
        this.p3Rate = p3Rate == null ? null : p3Rate.trim();
    }

    public String getP4Rate() {
        return p4Rate;
    }

    public void setP4Rate(String p4Rate) {
        this.p4Rate = p4Rate == null ? null : p4Rate.trim();
    }

    public String getP5Rate() {
        return p5Rate;
    }

    public void setP5Rate(String p5Rate) {
        this.p5Rate = p5Rate == null ? null : p5Rate.trim();
    }

    public String getP6Rate() {
        return p6Rate;
    }

    public void setP6Rate(String p6Rate) {
        this.p6Rate = p6Rate == null ? null : p6Rate.trim();
    }

    public String getP7Rate() {
        return p7Rate;
    }

    public void setP7Rate(String p7Rate) {
        this.p7Rate = p7Rate == null ? null : p7Rate.trim();
    }

    public String getP8Rate() {
        return p8Rate;
    }

    public void setP8Rate(String p8Rate) {
        this.p8Rate = p8Rate == null ? null : p8Rate.trim();
    }

    public String getImagecount() {
        return imagecount;
    }

    public void setImagecount(String imagecount) {
        this.imagecount = imagecount == null ? null : imagecount.trim();
    }

    public String getCaptureimageflag() {
        return captureimageflag;
    }

    public void setCaptureimageflag(String captureimageflag) {
        this.captureimageflag = captureimageflag == null ? null : captureimageflag.trim();
    }

    public String getIsSecond() {
        return isSecond;
    }

    public void setIsSecond(String isSecond) {
        this.isSecond = isSecond == null ? null : isSecond.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", pointid=").append(pointid);
        sb.append(", videoip=").append(videoip);
        sb.append(", position1=").append(position1);
        sb.append(", pointtype=").append(pointtype);
        sb.append(", remark=").append(remark);
        sb.append(", pointname=").append(pointname);
        sb.append(", position2=").append(position2);
        sb.append(", position3=").append(position3);
        sb.append(", position4=").append(position4);
        sb.append(", position5=").append(position5);
        sb.append(", position6=").append(position6);
        sb.append(", position7=").append(position7);
        sb.append(", position8=").append(position8);
        sb.append(", vdoPort=").append(vdoPort);
        sb.append(", vdoUser=").append(vdoUser);
        sb.append(", vdoPwd=").append(vdoPwd);
        sb.append(", vdoType=").append(vdoType);
        sb.append(", svr1VdoIp=").append(svr1VdoIp);
        sb.append(", svr2VdoIp=").append(svr2VdoIp);
        sb.append(", voicename=").append(voicename);
        sb.append(", videotype=").append(videotype);
        sb.append(", p1Rate=").append(p1Rate);
        sb.append(", p2Rate=").append(p2Rate);
        sb.append(", p3Rate=").append(p3Rate);
        sb.append(", p4Rate=").append(p4Rate);
        sb.append(", p5Rate=").append(p5Rate);
        sb.append(", p6Rate=").append(p6Rate);
        sb.append(", p7Rate=").append(p7Rate);
        sb.append(", p8Rate=").append(p8Rate);
        sb.append(", imagecount=").append(imagecount);
        sb.append(", captureimageflag=").append(captureimageflag);
        sb.append(", isSecond=").append(isSecond);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}